<ng-container [ngSwitch]="taskTypeResolver(task)">
    <kypo-info-task-preview *ngSwitchCase="AbstractTaskTypeEnum.Info" [task]="task"></kypo-info-task-preview>
    <kypo-training-task-preview *ngSwitchCase="AbstractTaskTypeEnum.Training" [task]="task"></kypo-training-task-preview>
    <kypo-questionnaire-task-preview *ngSwitchCase="AbstractTaskTypeEnum.Questionnaire" [task]="task"></kypo-questionnaire-task-preview>
    <kypo-access-task-preview *ngSwitchCase="AbstractTaskTypeEnum.Access"
                              [task]="task"
                              [localEnvironment]="localEnvironment"
    >
    </kypo-access-task-preview>
</ng-container>
